<?php
$title="Demos of the Anaa Ajax framework";
$background="#060";
$description="Demos of Anaa: Loading remote text or XML files, storing, headers, etc.";
include("header.php");
include("sidebar.php");
?>

<style>
	body, table
	{ 
		background-color: #060; 
	}
</style>



<div id="content">
      
  <h1>Ajax Demos</h1>
        
  <p>Ajax demos using the Anaa framework.</p>
  <h2>Text demos</h2>
  <ul>
    <li><a href="code/demo-get-text.html" target="_top" title="Loading a file with Ajax">Load a text file.</a></li>
    <li><a href="code/demo-post-text.html" target="_top" title="Sending data to the server with Ajax">Post a text file</a></li>
  </ul>
  <h2>XML demos</h2>
  <ul>
    <li><a href="code/demo-get-xml.html" target="_top" title="Loading an XML file on the server with Ajax">Load an XML file.</a></li>
  </ul>
  <h2>Ajax and PHP demos</h2>
  <ul>
    <li><a href="code/demo-get-php.html" target="_top">Run a PHP Script</a>. Use GET to exec a PHP file. Its  display is returned into responseText. </li>
    <li><a href="code/demo-ping.html" target="_top">Ping URL</a>. Check if a webpage exists with a PHP script. </li>
    <li><a href="http://www.scriptol.com/ajax/anaa/code/demo-chain.html" target="_top" title="Chaining Ajax request, the demo">Chaining several requests</a>. 
A POST request followed by a GET request to retrieve the results.</li>
  </ul>
  <h2>HTML demos</h2>
  <ul>
    <li>Load the <a href="code/demo-responseHTML.html" target="_top" title="Extracting data from another Web page with Ajax">content of 
      another HTML page</a>.</li>
    <li>Get a <a href="code/demo-get-html.html" target="_top" title="Getting selected data from an HTML page with Ajax">specific element from 
      another HTML page</a>.</li>
  </ul>
  <h2>Headers</h2>
  <ul>
    <li><a href="code/demo-header.html" target="_top" title="Header of a file returned by XMLHttpRequest">Value of a header</a>.</li>
    <li><a href="code/demo-headers.html" target="_top" title="Headers returned by the XMLHttpRequest object">Get all headers</a>.</li>
  </ul>
  <h2>Cross-site Ajax, exchanging data between websites with Anaa</h2>
  <p>The XMLHttpRequest object allows modern browsers including Internet Explorer 10, to exchange data between different areas. For other browsers, you can use an alternative ...</p>
  <p>The Cross-site extension to the Anaa framework allows to exchange data between 
    two websites in a secure way. The extension is made of these files:</p>
  <p>On the first site:</p>
  <ul>
    <li>anaa.js</li>
    <li>anaa-cross-site.js</li>
    <li>anaa-cross-site-get.php</li>
    <li>anaa-cross-site-call.php</li>
  </ul>
  <p>On the second site:</p>
  <ul>
    <li>anaa-cross-site-reply.php</li>
    <li>anaa-remote.txt</li>
  </ul>
  <p>When you want only to get data from the second site, you need only for <i>anaa-cross-get.php</i> 
    and the JavaScript files. <br>The script <i>anaa-cross-site-call.php</i> sends data to the second site, 
    where the <i>script anaa-cross-site-reply.php</i> processes them and returns 
    a result that is retrieved by the calling script.</p>
  <p><i>Anaa-remote.txt</i> is a text file used by the demo.</p>
  <p>Download the extension: <a href="anaa-cross-site.zip">anaa-cross-site.zip</a></p>
<?php include("footer.php"); ?>
